<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright (c) 2002-2016 iterate GmbH. All rights reserved.
  ~ https://cyberduck.io/
  ~
  ~ This program is free software; you can redistribute it and/or modify
  ~ it under the terms of the GNU General Public License as published by
  ~ the Free Software Foundation; either version 2 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU General Public License for more details.
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>ch.cyberduck</groupId>
        <artifactId>parent</artifactId>
        <version>6.0.0-SNAPSHOT</version>
    </parent>
    <artifactId>cli</artifactId>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <!-- Configure executable archive -->
                <configuration>
                    <archive>
                        <index>true</index>
                        <manifest>
                            <mainClass>ch.cyberduck.cli.Terminal</mainClass>
                            <addClasspath>true</addClasspath>
                        </manifest>
                        <manifestEntries>
                            <Specification-Title>Cyberduck CLI</Specification-Title>
                            <Specification-Version>${project.version}</Specification-Version>
                            <Specification-Vendor>iterate GmbH</Specification-Vendor>
                            <Implementation-Version>${git.commitsCount}</Implementation-Version>
                        </manifestEntries>
                    </archive>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>ch.cyberduck</groupId>
            <artifactId>core</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ch.cyberduck</groupId>
            <artifactId>cryptomator</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ch.cyberduck</groupId>
            <artifactId>test</artifactId>
            <type>pom</type>
            <scope>test</scope>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ch.cyberduck</groupId>
            <artifactId>protocols</artifactId>
            <type>pom</type>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-cli</groupId>
            <artifactId>commons-cli</artifactId>
            <version>1.2</version>
        </dependency>
        <dependency>
            <groupId>org.fusesource.jansi</groupId>
            <artifactId>jansi</artifactId>
            <version>1.13</version>
        </dependency>
    </dependencies>
</project>

